/*
// Copyright (c) DH electronics GmbH.  All rights reserved.
//
//------------------------------------------------------------------------------
//
//  File: ErrorCodes.h
//
//  Version:  1.1.0.0
//
//  Abstract: Declaration of the public functions of the DHHalLib.dll.
//
//  Notes:
//		Created by: 	Christian Apfel
//  	Created: 		June 09, 2017
//		Modified by:	
//		Modified:		
//
//----------------------------------------------------------------------------*/

// ------------------------------------------
// CAN Error Codes
// ------------------------------------------

//CAN_NO_ERROR                    (0)         // Last operation successful
//CAN_ERR_MOPS_CREATE             (-1)        // Mutex Creation failed
//CAN_ERR_PA_VA_MISSING           (-2)        // Physical -> Virtual Mapping failed
//CAN_ERR_EOPS_CREATE             (-3)        // Event Creation failed
//CAN_ERR_IRQ_SYSINTR_MISSING     (-4)        // IRQ -> System Interrupt ID Mapping failed
//CAN_ERR_INT_INIT                (-5)        // Interrupt Initialization failed
//CAN_ERR_WORKER_THREAD           (-6)        // Worker thread failed
//CAN_ERR_NO_ACK_ISSUED           (-7)        // No Acknowledge Issued
//CAN_ERR_NULL_BUF                (-8)        // NULL Buffer
//CAN_ERR_INVALID_BUFSIZE         (-9)        // Invalid Buffer Size
//CAN_ERR_NULL_LPIRESULT          (-10)       // NULL lpiResult field
//CAN_ERR_CLOCK_FAILURE           (-11)       // CRM Operation Failure
//CAN_ERR_TRANSFER_TIMEOUT        (-12)       // CAN transmit timeout error
//CAN_ERR_ARBITRATION_LOST        (-13)       // CAN arbitration lost error
//CAN_ERR_TRANSFER_ERR            (-14)       // CAN goto an undefined error
//CAN_ERR_BIT0                    (-15)       // At least one bit sent as dominant is received as dominant
//CAN_ERR_BIT1                    (-16)       // CANAt At least one bit sent as dominant is received as recessive
//CAN_ERR_ACK                     (-17)       // CAN Acknowledge Error has been detected by the transmitter node
//CAN_ERR_CRC                     (-18)       // CRC Error has been detected by the receiver node
//CAN_ERR_FRM                     (-19)       // CAN Form Error has been detected by the receiver node
//CAN_ERR_STF                     (-20)       // CAN Stuffing Error has been detected
//CAN_ERR_INSUFFICIENT_SPACE      (-21)       // Buffer is too small for RX message
//CAN_ERR_TX_OVERFLOW			  (-22)		// All TX mailboxes are already full